Package com.ericsson.otp.erlang

# Class OtpSocketTransportFactory

java.lang.Object
com.ericsson.otp.erlang.OtpSocketTransportFactory

All Implemented Interfaces:
  `OtpTransportFactory`

public class OtpSocketTransportFactory extends Object implements OtpTransportFactory
Default socket-based transport factory

## Constructor Summary

Constructors
Constructor
Description
`OtpSocketTransportFactory()`

## Method Summary

Modifier and Type
Method
Description
`OtpServerTransport`
`createServerTransport(int port)`
Create instance of `OtpServerTransport`
`OtpTransport`
`createTransport(String addr, int port)`
Create instance of `OtpTransport`
`OtpTransport`
`createTransport(InetAddress addr, int port)`
Create instance of `OtpTransport`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OtpSocketTransportFactory

public OtpSocketTransportFactory()

## Method Details

### createTransport

public OtpTransport createTransport(String addr, int port) throws IOException
Description copied from interface: `OtpTransportFactory`
Create instance of `OtpTransport`

Specified by:
  `createTransport` in interface `OtpTransportFactory`
Parameters:
  `addr` - host name or IP address string
  `port` - port number
Returns:
  new socket object
Throws:
  `IOException`
See Also:
  - `OtpTransportFactory.createTransport(String, int)`

### createTransport

public OtpTransport createTransport(InetAddress addr, int port) throws IOException
Description copied from interface: `OtpTransportFactory`
Create instance of `OtpTransport`

Specified by:
  `createTransport` in interface `OtpTransportFactory`
Parameters:
  `addr` - peer address
  `port` - port number
Returns:
  new socket object
Throws:
  `IOException`
See Also:
  - `OtpTransportFactory.createTransport(InetAddress, int)`

### createServerTransport

public OtpServerTransport createServerTransport(int port) throws IOException
Description copied from interface: `OtpTransportFactory`
Create instance of `OtpServerTransport`

Specified by:
  `createServerTransport` in interface `OtpTransportFactory`
Parameters:
  `port` - port number to listen on
Returns:
  new socket object
Throws:
  `IOException`
See Also:
  - `OtpTransportFactory.createServerTransport(int)`